Đến nội dung


Hình ảnh

Giúp em về lệnh Revision Cloud


  • Please log in to reply
11 replies to this topic

#1 kid_qx2

kid_qx2

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 17 May 2011 - 09:39 AM

Tình văn hình là e đang muốn đánh dấu một vị trí được sửa chữa lại trên bản vẽ. Em dùng lệnh Revision Cloud ( tạo đám mây) đc rùi nhưng lại có một số vấn đề khó khăn cần các pro chỉ giáo đây:
- Nếu chỉ dùng lệnh Revision Cloud không thì khi kéo sẽ bị méo mó, không thành một đường thẳng ( xấu lắm )
- Nếu mình vẽ một hình chữ nhật sau đó kết hợp giữa lệnh Revision Cloud và lệnh O ( Object ) thì các cung tròn rất nhỏ. Vấn đề đặt ra ở đây là làm thế nào để mình đánh dấu vị trí trên bản vẽ cad nó vuông vắn và thẳng một tí ( khoảng cách giữa các cung tròn của đám mây phải lớn để người ta không nhầm đó là một đường thẳng)
Các Pro giúp em với nhé, em đang cần làm gấp tí.....
Tks trước !!!
  • 1

Chưa giỏi nhưng biết lắng nghe và học hỏi ^^


#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 17 May 2011 - 10:07 AM

1.Khi thực hiện Revcloud bạn có thể đánh lựa chọn A (trước khi vẽ hoặc trước khi chọn đối tượng) để quy định bán kính cung cong nhỏ nhất, lớn nhất của vòm mây.
2. Hoặc dùng đoạn lisp sau với HCN cho nhanh :
(defun C:CLD (/ aleng p1 p2 )
(setq p1 (getpoint "\nCh\U+1ECDn \U+0111i\U+1EC3m \U+0111\U+1EA7u HCN :")
p2 (getcorner p1 "\n\U+0110i\U+1EC3m cu\U+1ED1i :")
aleng (getdist "\nB\U+00E1n k\U+00EDnh cong :"))
(command "_.rectangle" p1 p2)
(command "_.revcloud" "_A" aleng "" "_O" (entlast) "")
(princ)
)

  • 4

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 kid_qx2

kid_qx2

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 17 May 2011 - 10:21 AM

hjx, Các bác thông cảm em mới dùng cad thui, bác nào nói rõ cách làm cho em cái đc ko ah !!!
@: mặc dù em có hơi kém nhưng đừng chê em dốt @@
  • 0

Chưa giỏi nhưng biết lắng nghe và học hỏi ^^


#4 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 17 May 2011 - 10:30 AM

hjx, Các bác thông cảm em mới dùng cad thui, bác nào nói rõ cách làm cho em cái đc ko ah !!!
@: mặc dù em có hơi kém nhưng đừng chê em dốt @@

Với cách 1 : Vẽ hình chữ nhật rồi tạo Cloud, các thao tác gồm :
- Vẽ HCN
- Đánh lệnh _revcloud (hoặc chọn trong menu)
- Đánh A (để chọn Option Arc Length)
- Nhập bán kính nhỏ nhất và lớn nhất của đám mây (thường là bằng nhau, và bạn có thể đánh số hoặc chọn 2 điểm trên màn hình)
- Đánh O (để chọn Option Object)
- Chọn HCN của bạn

Với cách 2 :
- Down lisp về để ở 1 chỗ nào đó trong ổ cứng
- Trong CAD dùng lệnh app (appload) , chọn tới vị trí file lisp vừa down. OK
- Đánh lệnh CLD và thực hiện theo hướng dẫn Tiếng Việt

P/S : kém thì không ai trách, chỉ trách những người không muốn thoát khỏi câu " Tôi kém" thôi :)
  • 3

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#5 tinya1225

tinya1225

    biết lệnh copy

  • Members
  • PipPipPip
  • 114 Bài viết
Điểm đánh giá: 34 (tàm tạm)

Đã gửi 17 May 2011 - 10:33 AM

hjx, Các bác thông cảm em mới dùng cad thui, bác nào nói rõ cách làm cho em cái đc ko ah !!!
@: mặc dù em có hơi kém nhưng đừng chê em dốt @@

muốn đánh dấu vùng nào thì vẽ khung cn hoặc đường tròn (cho đẹp) vào vùng đó,
lệnh revision cloud, gõ A để xác định chiều dài ARC đánh dấu, có thể nhập vào bằng cách gõ hoặc pick điểm, chọn đối tượng, chọn NO để ARC cong ra và YES để cong vào.
làm đc nhớ bấm THANKS+ cho mình chứ đừng nói thanks ko nhé^^
  • 1
Thấy bài có ích thì ấn thật nhiều Thank + các bác nhé^^

#6 kid_qx2

kid_qx2

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 17 May 2011 - 10:36 AM

Tks bờ rồ nhìu, em làm đc rùi ^_^
  • 0

Chưa giỏi nhưng biết lắng nghe và học hỏi ^^


#7 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 11 April 2014 - 03:35 PM

Bổ sung thêm lisp vẽ đám mây theo hình đa giác Polygon


  • 0

#8 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 11 April 2014 - 03:37 PM

Gởi lisp

 


  • 0

#9 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 11 April 2014 - 03:44 PM

Tham khảo :

 

(defun C:CLP (/ Ra oldos)
(command "undo" "be")
(setq oldos (getvar "osmode"))
(POLYGON)
(if (not Ra) (setq Ra 3.00))
(setq Ra1 (getdist (strcat "\nB\U+00E1n k\U+00EDnh cong <" (rtos Ra 2 2) ">:")))
(if Ra1 (setq Ra Ra1))
(command "_.revcloud" "_A" Ra "" "_O" (entlast) "")
(setvar "osmode" oldos)
(command "undo" "e")
(princ)
)
;;;;;;;;;;;
(defun POLYGON (/ res cp pt)
  (setq sides (if sides sides "128"))
  (setq res (getstring (strcat "\nS\U+1ED1 c\U+1EA1nh \U+0111a gi\U+00E1c <"sides">: ")))
  (if (> (strlen res) 0) (setq sides res) (setq res sides))
  (setq cp (getpoint "\nPick Center Point: "))
  (setq pt (getpoint cp "\nPick Point: "))
  (setvar "osmode" 0)
(initget "I C")
(setq sel (getkword "\nV\U+1EBD \U+0111a gi\U+00E1c n\U+1ED9i ti\U+1EBFp (I) hay ngo\U+1EA1i ti\U+1EBFp © v\U+1EDBi \U+0111\U+01B0\U+1EDDng tr\U+00F2n [I/C]? <C> :"))
(if (= sel "C")
 (command "polygon" res cp "C" pt)
 (command "polygon" res cp "I" pt))
)


  • 0

#10 ganhaque

ganhaque

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 31 May 2014 - 08:36 AM

Anh em cho hỏi làm sao thay đổi được bề dày của đám mây? Tôi đã dùng hộp chức năng modify để chỉnh end segment width nhưng nó ra như thế này đây 

Câu hỏi phụ : hình của tui rất nhỏ, làm thế nào để hiện trực tiếp trên trang, không cần người xem phải tải file attach rồi phải mở ra xem rất mất công ?

 

 

Thanks a lot ! 


  • 0

#11 ganhaque

ganhaque

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 31 May 2014 - 08:37 AM

93392_123.png


  • 0

#12 minhthu2191

minhthu2191

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 19 August 2015 - 03:00 PM

REVC >> A  >> NHẬP BÁN KÍNH LỚN NHẤT >> NHẬP BÁN KÍNH NHỎ NHẤT >> STYLER >> CALLIGRAPHY "C" (SẼ THAY ĐỔI TÙY THUỘC VÀO BÁN KÍNH LỚN NHẤT VÀ NHỎ NHẤT) >> ENTER. ( ">>" LÀ CÁCH HOẶC ENTER)

93392_123.png


  • 1